LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04444Bug reports[All Projects] Import/Exportpublic2010-06-25 10:382010-12-01 16:41
Reportertamacheq 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.90RC2 
Summary04444: Export PDF : caractères mal accentués dans le libellé
DescriptionBonjour
L'export PDF est correct sauf au niveau du libellé où tous les caractères accentués sont incorrects.
Pourtant, dans le fichier printanswers.php, la fonction FlattenText est appelée sur les deux éléments :
$pdf->intopdf(FlattenText($fnames[$i][2]).": ".FlattenText(getextendedanswer($fnames[$i][0], $idrow[$fnames[$i][0]])));

En fait, de manière plus précise, le libellé de la question est mal encodé alors que le texte d'aide l'est.


Merci
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID8518
Browser
Database & DB-Versionx
Operating System (Server)linux
Webserver software & versionapache2
PHP Versionx
Attached Files

- Relationships

-  Notes
User avatar (12301)
tamacheq (reporter)
2010-06-26 18:28

J'ai résolu temporairement mon problème en ajoutant le paramètre true pour l'appel à la fonction FlattenText pour le libellé de la question soit

$pdf->intopdf(FlattenText($fnames[$i][2], true).": ".FlattenText(getextendedanswer($fnames[$i][0], $idrow[$fnames[$i][0]])));

dans printanswers.php
User avatar (12343)
c_schmitz (administrator)
2010-07-04 12:30
edited on: 2010-07-05 02:16

Sorry, can you explain your problem in English please?

User avatar (12359)
tamacheq (reporter)
2010-07-05 21:38

En fait, de manière plus précise, le libellé de la question est mal encodé alors que le texte d'aide l'est.
Export PDF is working fine except with the label of the questions where all the french extra characters (like é è à ...) are not well encoded.
I got around it by adding the true value to the seconde parameter in the Flattentext fonction with is called in printanswers.php
$pdf->intopdf(FlattenText($fnames[$i][2]).": ".FlattenText(getextendedanswer($fnames[$i][0], $idrow[$fnames[$i][0]])));
becomes
$pdf->intopdf(FlattenText($fnames[$i][2],true).": ".FlattenText(getextendedanswer($fnames[$i][0], $idrow[$fnames[$i][0]])));
Thanks for the adding the correction.
AD
User avatar (12360)
c_schmitz (administrator)
2010-07-05 22:08

Thank you for providing this patch!

- Issue History
Date Modified Username Field Change
2010-06-25 10:38 tamacheq New Issue
2010-06-25 10:38 tamacheq Status new => assigned
2010-06-25 10:38 tamacheq Assigned To => user372
2010-06-26 18:28 tamacheq Note Added: 12301
2010-07-04 12:30 c_schmitz Note Added: 12343
2010-07-04 12:31 c_schmitz Assigned To user372 => c_schmitz
2010-07-04 12:31 c_schmitz Status assigned => feedback
2010-07-05 02:16 c_schmitz Note Edited: 12343 View Revisions
2010-07-05 21:38 tamacheq Note Added: 12359
2010-07-05 21:38 tamacheq Status feedback => assigned
2010-07-05 22:08 c_schmitz Note Added: 12360
2010-07-05 22:08 c_schmitz Status assigned => resolved
2010-07-05 22:08 c_schmitz Fixed in Version => 1.90RC2
2010-07-05 22:08 c_schmitz Resolution open => fixed
2010-07-06 11:22 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker